package com.ruoyi.oa.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 考核工作内容对象 cmc_assess_content_work
 * 
 * @author cmc
 * @date 2024-01-09
 */
public class CmcAssessContentWork extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 工作内容id（考核内容id+2位） */
    private String workId;

    /** 工作量 */
    @Excel(name = "工作量")
    private String workLoad;

    public void setWorkId(String workId) 
    {
        this.workId = workId;
    }

    public String getWorkId() 
    {
        return workId;
    }
    public void setWorkLoad(String workLoad) 
    {
        this.workLoad = workLoad;
    }

    public String getWorkLoad() 
    {
        return workLoad;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("workId", getWorkId())
            .append("workLoad", getWorkLoad())
            .toString();
    }
}
